#{  Copyright(c) 2000-2002 Association of Universities for Research in Astronomy, Inc.
#
# Package script for the gemini package
#
# IRAF patch level V2.11.3b or greater is required.
if (defpar ("release")) {
    if (release <= "2.11.3")
        printf ("WARNING: IRAF patch level V2.11.3b or greater is required\n")
} else {
    printf ("WARNING: IRAF patch level V2.11.3b or greater is required\n")
}
;

# Load necessary packages - only those that are used by all packages
images
plot
dataio
lists
tv
utilities
noao
proto
imred
ccdred
bias
ccdtest
utilities
astutil
digiphot
apphot
ptools
if(defpac("stsdas")==no) stsdas (motd-)
;
tools
fitting
artdata

# Load the FITSUTIL package.
if (deftask("fitsutil")==no) {
  print("ERROR: The FITSUTIL package is required but not defined.")
  bye()
}
;
fitsutil

# Load the GMISC package.
if (deftask("gmisc")==no) {
   print("ERROR: The GMISC package is required but not defined.")
   bye()
}
;
gmisc

reset imtype = "fits"
flpr

cl < "gemini$lib/zzsetenv.def"

set quirc       = "gemini$quirc/"
set niri        = "gemini$niri/"
set gmos        = "gemini$gmos/"
set mostools    = "gemini$gmos/mostools/"
set oscir       = "gemini$oscir/"
set gemtools    = "gemini$gemtools/"
set gcal        = "gemini$gcal/"
set flamingos   = "gemini$flamingos/"


package gemini, bin = gembin$

task quirc.pkg    = quirc$quirc.cl
task niri.pkg     = niri$niri.cl
task gmos.pkg     = gmos$gmos.cl
task oscir.pkg    = oscir$oscir.cl
task gemtools.pkg = gemtools$gemtools.cl
task flamingos.pkg  = flamingos$flamingos.cl

task $sed = $foreign
hidetask sed

if (motd) {
print(" ")
print("     +------------------- Gemini IRAF Package -------------------+")
print("     |        Released Version 1.4 September 20, 2002            |")
print("     |                 Requires IRAF 2.11.3b                     |")
print("     |              Gemini Observatory, Hilo, Hawaii             |")
print("     |    Please use the help desk for submission of questions   |")
print("     |  http://www.gemini.edu/sciops/helpdesk/helpdeskIndex.html |")
print("     +-----------------------------------------------------------+")
print(" ")
print("     Warning setting imtype=fits")
print(" ")

}
;
clbye()
